/*
 * usb/bdt.h -- USB BDT
 *
 * Copyright (C) 2016-2017 Tomasz Kramkowski <tk@the-tk.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef FMK_USB_BDT_H
#define FMK_USB_BDT_H

#include <reg/usbotg.h>

extern volatile struct usb0_bd usb_bdt[2][2][2];

#define BDT_RX 0
#define BDT_TX 1
#define BDT_EVEN 0
#define BDT_ODD 1

#endif /* FMK_USB_BDT_H */
